Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	TCP/IP controlling tools
Name:      	iproute2
Version:   	2.6.35
Release:   	1
License: 	GNU/GPL
URL:		http://linux-net.osdl.org/index.php/Iproute2	
Group:     	System/Configuration/Networking
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		iproute2-destdir.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: iptables-devel
BuildRequires: flex-devel

#Automatically resolved build dependencies
BuildRequires: db-devel
BuildRequires: glibc-devel

%description
Iproute2 is a collection of utilities for controlling TCP / IP networking and Traffic Control in Linux.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
%patch0 -p1
export KERNEL_INCLUDE=/usr/src/kernel/`uname -r`

%build
./configure --prefix=%{_prefix} --sbindir=%{_sbindir} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/iproute2/ematch_map
%{_sysconfdir}/iproute2/rt_dsfield
%{_sysconfdir}/iproute2/rt_protos
%{_sysconfdir}/iproute2/rt_realms
%{_sysconfdir}/iproute2/rt_scopes
%{_sysconfdir}/iproute2/rt_tables
/lib/tc/m_ipt.so
/lib/tc/m_xt.so
%{_libdir}/tc/experimental.dist
%{_libdir}/tc/normal.dist
%{_libdir}/tc/pareto.dist
%{_libdir}/tc/paretonormal.dist
%{_sbindir}/arpd
%{_sbindir}/ctstat
%{_sbindir}/genl
%{_sbindir}/ifcfg
%{_sbindir}/ifstat
%{_sbindir}/ip
%{_sbindir}/lnstat
%{_sbindir}/nstat
%{_sbindir}/routef
%{_sbindir}/routel
%{_sbindir}/rtacct
%{_sbindir}/rtmon
%{_sbindir}/rtpr
%{_sbindir}/rtstat
%{_sbindir}/ss
%{_sbindir}/tc
%{_docdir}/iproute2/api-ip6-flowlabels.tex
%{_docdir}/iproute2/arpd.sgml
%{_docdir}/iproute2/examples/cbqinit.eth1
%{_docdir}/iproute2/examples/cbq.init-v0.7.3
%{_docdir}/iproute2/examples/dhcp-client-script
%{_docdir}/iproute2/examples/diffserv/afcbq
%{_docdir}/iproute2/examples/diffserv/Edge1
%{_docdir}/iproute2/examples/diffserv/Edge2
%{_docdir}/iproute2/examples/diffserv/Edge31-ca-u32
%{_docdir}/iproute2/examples/diffserv/Edge31-cb-chains
%{_docdir}/iproute2/examples/diffserv/Edge32-ca-u32
%{_docdir}/iproute2/examples/diffserv/Edge32-cb-chains
%{_docdir}/iproute2/examples/diffserv/Edge32-cb-u32
%{_docdir}/iproute2/examples/diffserv/efcbq
%{_docdir}/iproute2/examples/diffserv/ef-prio
%{_docdir}/iproute2/examples/diffserv/README
%{_docdir}/iproute2/examples/diffserv/regression-testing
%{_docdir}/iproute2/examples/gaiconf
%{_docdir}/iproute2/examples/README.cbq
%{_docdir}/iproute2/examples/README.iproute2+tc
%{_docdir}/iproute2/examples/SYN-DoS.rate.limit
%{_docdir}/iproute2/ip-cref.tex
%{_docdir}/iproute2/ip-tunnels.tex
%{_docdir}/iproute2/nstat.sgml
%{_docdir}/iproute2/preamble.tex
%{_docdir}/iproute2/rtstat.sgml
%{_docdir}/iproute2/SNAPSHOT.tex
%{_docdir}/iproute2/ss.sgml
%{_mandir}/man3/libnetlink.3.gz
%{_mandir}/man8/arpd.8.gz
%{_mandir}/man8/ctstat.8.gz
%{_mandir}/man8/ip.8.gz
%{_mandir}/man8/lnstat.8.gz
%{_mandir}/man8/nstat.8.gz
%{_mandir}/man8/routef.8.gz
%{_mandir}/man8/routel.8.gz
%{_mandir}/man8/rtacct.8.gz
%{_mandir}/man8/rtmon.8.gz
%{_mandir}/man8/rtstat.8.gz
%{_mandir}/man8/ss.8.gz
%{_mandir}/man8/tc.8.gz
%{_mandir}/man8/tc-bfifo.8.gz
%{_mandir}/man8/tc-cbq.8.gz
%{_mandir}/man8/tc-cbq-details.8.gz
%{_mandir}/man8/tc-drr.8.gz
%{_mandir}/man8/tc-htb.8.gz
%{_mandir}/man8/tc-pfifo.8.gz
%{_mandir}/man8/tc-pfifo_fast.8.gz
%{_mandir}/man8/tc-prio.8.gz
%{_mandir}/man8/tc-red.8.gz
%{_mandir}/man8/tc-sfq.8.gz
%{_mandir}/man8/tc-tbf.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.35-1
- Version update
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.6.29-1
- Version update
* Fri Oct 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.23-1
- Version update
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.19-1
- initial release
- snapshot 061214
